<?php
include './conexion.php';

	
// Convertir los datos de cadena JSON a un array PHP

if(isset($_POST['data'])) {
    // Decodificar los datos JSON
    $data=$_POST['data'];

    $sql = "INSERT INTO movs (semana, ubicacion, supervisor, nemp, nombre, lugTrab, salario, D1,D2,D3,D4, L,M,Mi,J,V,S,D, comentario, sem,mes,anio,turno,Usuario_idUsuario) values";
    // Verificar si se recibieron datos
    if(!empty($data)) {
        // Iterar sobre los datos recibidos
        foreach($data as $row) {
            // Verificar si las claves esperadas están presentes
            if(isset($row['ubicacion'])) {
                // Aquí puedes realizar las operaciones necesarias con los datos
                // Por ejemplo, insertarlos en una base de datos

                $semana_ = $row['anio']."_".$row['periodo'];
                $ubicacion = $row['ubicacion'];
                $supervisor = $row['supervisor'];
                $nemp = $row['numEmp'];
                $nombre = $row['nombre'];
                $lugar = $row['lugar'];
                $salario = $row['sueldo'];
                $D1 = $row['D1'];
                $D2 = $row['D2'];
                $D3 = $row['D3'];
                $D4 = $row['D4'];
                $V = $row['turno1'];
                $S = $row['turno2'];
                $D = $row['turno3'];
                $L = $row['turno4'];
                $M = $row['turno5'];
                $Mi = $row['turno6'];
                $J = $row['turno7'];
                $comentario = $row['observaciones'];
                $sem=$row['periodo'];
                $mes = $row['mes'];
                $anio = $row['anio'];
                $turno=$row['turno'];


    // Consulta SQL para insertar los datos en la tabla correspondiente
    $sql = $sql."('$semana_', '$ubicacion', '$supervisor', '$nemp', '$nombre', '$lugar', '$salario', '$D1','$D2','$D3','$D4',
     '$L','$M','$Mi','$J','$V','$S','$D', '$comentario', '$sem','$mes', '$anio','$turno','1'),";



            } else {
                // Manejar el caso en el que alguna clave esperada esté ausente
                echo "Falta una o más claves en los datos recibidos.";
            }
        }
        $sql=substr($sql, 0, -1);

        
        /*$status=$sql;
    $mensaje = array(
        'respuesta' => $status
    );
        
    echo json_encode($mensaje);
    
    exit; */

        $query_insert=mysqli_query($connection,$sql);
        if($query_insert){
            $status = 'ok';

        
        }else{
            $status = 'err1';
            
        }

    } else {
        $status = 'err2';
    }
} else {
    $status = 'err3';
}
/*
// Iterar sobre los datos y realizar las operaciones de inserción en la base de datos
foreach ($dataArray as $row) {
    $fecha = $row['fecha'];
    $tarjeta = $row['tarjeta'];
    $placas = $row['placas'];
    $litros = $row['litros'];
    $producto = $row['producto'];
    $kms = $row['kms'];
    $precio = $row['precio'];
    $subtotal = $row['subtotal'];
    $iva = $row['iva'];
    $ieps = $row['ieps'];
    $total = $row['total'];
    $idunidad = $row['idunidad'];
    $unidad = $row['unidad'];

    // Consulta SQL para insertar los datos en la tabla correspondiente
    $sql = "INSERT INTO gasolina (fecha, tarjeta, placas, litros, producto, kms, precio, subtotal, iva, ieps, total, idunidad, unidad)
            VALUES ('$fecha', '$tarjeta', '$placas', '$litros', '$producto', '$kms', '$precio', '$subtotal', '$iva', '$ieps', '$total', '$idunidad', '$unidad')";

$query_insert=mysqli_query($connection,$sql);
							
if($query_insert){
    //$status = 'ok';
    $query_insert=mysqli_query($connection,"insert into movimientos (tipoMov,fecha,usuario,dato1) values('carga de archivo gasolina','".date('Y-m-d H:i:s')."','1','')");


    $sqlx=mysqli_query($connection,"select * from unidades");

    $result=mysqli_num_rows($sqlx);
    //if($result>0){
        while($data=mysqli_fetch_array($sqlx)){
            $status=null;
            //$sqly=mysqli_query($connection,"select kms from gasolina where idunidad='".$data['folio']."' order by fecha DESC limit 1");
            $sqly=mysqli_query($connection,"SELECT MAX(kms) AS maximo_kms FROM gasolina WHERE idunidad = '".$data['folio']."'");
            $resulty=mysqli_num_rows($sqly);
            //if($resulty>0){
                while($datay=mysqli_fetch_array($sqly)){
                    if($data['ultimo_km']<$datay['maximo_kms']){
                        //echo $datay['placas']." ".$datay['kms']." KM Actual:".$data['ultimo_km']."<br>";
                        $z="update unidades set ultimo_km='".$datay['maximo_kms']."' where folio='".$data['folio']."'";
                        $sqlz=mysqli_query($connection,$z);
                        $status = 'ok|1';
                    }else{
                        $status = 'ok|2';
                        //echo "No se guarda ".$datay['placas']." ".$datay['kms']." KM Actual:".$data['ultimo_km']."<br>";
                    }
                    
                }

        }





}else{
    $status = 'err';
    
}

}*/

$mensaje = array(
    'respuesta' => $status
);
    
echo json_encode($mensaje);		


